<?php
$cate_id = "mnu_member"; //현재 메뉴 ID 필수!!!
include_once "{$_SERVER['DOCUMENT_ROOT']}/common.inc.php";
include_once _ADM_INC_PATH_ ."/auth_check.php";
include_once _HOME_INC_PATH_."/ajax_init.php";

$where = new DB_where();
$where->add("member_auth != ?", "SA");
$where->add("member_auth != ?", "A");
$admrow = $baseObj->getMember($_REQUEST['admin_id'], $where);

if( !_notAuth("R") ){/************ 권한체크*/
  switch ($_REQUEST['mode']) {

    case "getMemberList" :
      $where = new DB_where();
      $where->add("member_auth != ?", "SA");
      $where->add("member_auth != ?", "A");
      $retval['data'] = $baseObj->getMemberPage(Array(),Array(),$where);
      break;







    case "getMemberLogList" :
      $where = new DB_where();
      $where->add("member_auth != ?", "SA");
      $where->add("member_auth != ?", "A");
      $retval['data'] = $baseObj->getMemberLogPage(Array(),Array(),$where);
      break;
  }
}

if( !$_REQUEST['no_echo'] ){
  echo json_encode($retval);
}